import { BackdropFilterProperty, BackgroundAttachmentProperty, BackgroundClipProperty, BackgroundColorProperty, BackgroundImageProperty, BackgroundOriginProperty, BackgroundPositionXProperty, BackgroundPositionYProperty, BackgroundProperty, BackgroundSizeProperty, BoxShadowProperty, ColorProperty, OpacityProperty, OutlineColorProperty, OutlineOffsetProperty, OutlineStyleProperty, OutlineWidthProperty, VisibilityProperty } from "csstype";
export declare type ColorProperties<TLength = string | number> = {
    color?: ColorProperty | (ColorProperty)[];
    background?: BackgroundProperty<TLength> | (BackgroundProperty<TLength>)[];
    bg?: BackgroundProperty<TLength> | (BackgroundProperty<TLength>)[];
    opacity?: OpacityProperty | (OpacityProperty)[];
    backgroundAttachment?: BackgroundAttachmentProperty | (BackgroundAttachmentProperty)[];
    backgroundClip?: BackgroundClipProperty | (BackgroundClipProperty)[];
    ['-webkit-background-clip']?: BackgroundClipProperty | (BackgroundClipProperty)[];
    backgroundColor?: BackgroundColorProperty | (BackgroundColorProperty)[];
    backgroundImage?: BackgroundImageProperty | (BackgroundImageProperty)[];
    backgroundOrigin?: BackgroundOriginProperty | (BackgroundOriginProperty)[];
    backgroundPositionX?: BackgroundPositionXProperty<TLength> | (BackgroundPositionXProperty<TLength>)[];
    backgroundPositionY?: BackgroundPositionYProperty<TLength> | (BackgroundPositionYProperty<TLength>)[];
    backgroundSize?: BackgroundSizeProperty<TLength> | (BackgroundSizeProperty<TLength>)[];
    backdropFilter?: BackdropFilterProperty;
    ['-webkit-backdropFilter']?: BackdropFilterProperty;
    boxShadow?: BoxShadowProperty | (BoxShadowProperty)[];
    outline?: OutlineColorProperty | (OutlineColorProperty)[];
    outlineColor?: OutlineColorProperty | (OutlineColorProperty)[];
    outlineOffset?: OutlineOffsetProperty<TLength> | (OutlineOffsetProperty<TLength>)[];
    outlineStyle?: OutlineStyleProperty | (OutlineStyleProperty)[];
    outlineWidth?: OutlineWidthProperty<TLength> | (OutlineWidthProperty<TLength>)[];
    visibility?: VisibilityProperty | (VisibilityProperty)[];
};
export declare const Color: {
    color: string;
    background: string;
    bg: string[];
    opacity: string;
    backgroundAttachment: string;
    backgroundClip: string[];
    '-webkit-background-clip': string;
    backgroundColor: string;
    backgroundImage: string;
    backgroundOrigin: string;
    backgroundPositionX: string;
    backgroundPositionY: string;
    backgroundSize: string;
    backdropFilter: string[];
    '-webkit-backdropFilter': string;
    boxShadow: string;
    outline: string;
    outlineColor: string;
    outlineOffset: string;
    outlineStyle: string;
    outlineWidth: string;
    visibility: string;
};
