import { AlignContentProperty, AlignItemsProperty, AlignSelfProperty, FlexBasisProperty, FlexDirectionProperty, FlexProperty, FlexWrapProperty, GlobalsNumber, JustifyContentProperty, JustifySelfProperty } from "csstype";
export declare type FlexProperties<TLength = string | number> = {
    justifyContent?: JustifyContentProperty | (JustifyContentProperty)[];
    justify?: JustifyContentProperty | (JustifyContentProperty)[];
    alignItems?: AlignItemsProperty | (AlignItemsProperty)[];
    align?: AlignItemsProperty | (AlignItemsProperty)[];
    alignContent?: AlignContentProperty | (AlignContentProperty)[];
    flexDirection?: FlexDirectionProperty | (FlexDirectionProperty)[];
    direction?: FlexDirectionProperty | (FlexDirectionProperty)[];
    flex?: FlexProperty<GlobalsNumber> | (FlexProperty<GlobalsNumber>)[];
    flexWrap?: FlexWrapProperty | (FlexWrapProperty)[];
    wrap?: FlexWrapProperty | (FlexWrapProperty)[];
    flexBasis?: FlexBasisProperty<GlobalsNumber> | (FlexBasisProperty<GlobalsNumber>)[];
    flexGrow?: GlobalsNumber;
    flexShrink?: GlobalsNumber;
    alignSelf?: AlignSelfProperty | (AlignSelfProperty)[];
    justifySelf?: JustifySelfProperty | (JustifySelfProperty)[];
    order?: GlobalsNumber;
};
export declare const Flex: {
    justifyContent: string;
    justify: string[];
    alignItems: string;
    align: string[];
    alignContent: string;
    flexDirection: string;
    direction: string[];
    flex: string;
    flexWrap: string;
    wrap: string[];
    flexBasis: string;
    flexGrow: string;
    flexShrink: string;
    alignSelf: string;
    justifySelf: string;
    order: string;
};
