import { PaddingBottomProperty, PaddingLeftProperty, PaddingProperty, PaddingRightProperty, PaddingTopProperty } from "csstype";
export declare type PaddingProperties<TLength = string | number> = {
    padding?: PaddingProperty<TLength> | (PaddingProperty<TLength>)[];
    paddingTop?: PaddingTopProperty<TLength> | (PaddingTopProperty<TLength>)[];
    paddingRight?: PaddingRightProperty<TLength> | (PaddingRightProperty<TLength>)[];
    paddingBottom?: PaddingBottomProperty<TLength> | (PaddingBottomProperty<TLength>)[];
    paddingLeft?: PaddingLeftProperty<TLength> | (PaddingLeftProperty<TLength>)[];
    paddingX?: (PaddingLeftProperty<TLength> & PaddingRightProperty<TLength>) | (PaddingLeftProperty<TLength> & PaddingRightProperty<TLength>)[];
    paddingY?: (PaddingTopProperty<TLength> & PaddingBottomProperty<TLength>) | (PaddingTopProperty<TLength> & PaddingBottomProperty<TLength>)[];
    p?: PaddingProperty<TLength> | (PaddingProperty<TLength>)[];
    pt?: PaddingTopProperty<TLength> | (PaddingTopProperty<TLength>)[];
    pr?: PaddingRightProperty<TLength> | (PaddingRightProperty<TLength>)[];
    pb?: PaddingBottomProperty<TLength> | (PaddingBottomProperty<TLength>)[];
    pl?: PaddingLeftProperty<TLength> | (PaddingLeftProperty<TLength>)[];
    px?: (PaddingLeftProperty<TLength> & PaddingRightProperty<TLength>) | (PaddingLeftProperty<TLength> & PaddingRightProperty<TLength>)[];
    py?: (PaddingTopProperty<TLength> & PaddingBottomProperty<TLength>) | (PaddingTopProperty<TLength> & PaddingBottomProperty<TLength>)[];
};
export declare const Padding: {
    padding: string;
    paddingTop: string;
    paddingRight: string;
    paddingBottom: string;
    paddingLeft: string;
    paddingX: string[];
    paddingY: string[];
    p: string[];
    pt: string[];
    pr: string[];
    pb: string[];
    pl: string[];
    px: string[];
    py: string[];
};
