import { DisplayProperty, HeightProperty, MaxHeightProperty, MaxWidthProperty, MinHeightProperty, MinWidthProperty, VerticalAlignProperty, WidthProperty } from "csstype";
export declare type SizeProperties<TLength = string | number> = {
    display?: DisplayProperty | (DisplayProperty)[];
    d?: DisplayProperty | (DisplayProperty)[];
    width?: WidthProperty<TLength> | (WidthProperty<TLength>)[];
    w?: WidthProperty<TLength> | (WidthProperty<TLength>)[];
    height?: HeightProperty<TLength> | (HeightProperty<TLength>)[];
    h?: HeightProperty<TLength> | (HeightProperty<TLength>)[];
    size?: (HeightProperty<TLength> | WidthProperty<TLength>) | (HeightProperty<TLength> | WidthProperty<TLength>)[];
    minWidth?: MinWidthProperty<TLength> | (MinWidthProperty<TLength>)[];
    maxWidth?: MaxWidthProperty<TLength> | (MaxWidthProperty<TLength>)[];
    minHeight?: MinHeightProperty<TLength> | (MinHeightProperty<TLength>)[];
    maxHeight?: MaxHeightProperty<TLength> | (MaxHeightProperty<TLength>)[];
    minW?: MinWidthProperty<TLength> | (MinWidthProperty<TLength>)[];
    maxW?: MaxWidthProperty<TLength> | (MaxWidthProperty<TLength>)[];
    minH?: MinHeightProperty<TLength> | (MinHeightProperty<TLength>)[];
    maxH?: MaxHeightProperty<TLength> | (MaxHeightProperty<TLength>)[];
    verticalAlign?: VerticalAlignProperty<string | 0> | (VerticalAlignProperty<string | 0>)[];
};
export declare const Size: {
    display: string;
    d: string[];
    width: string;
    w: string[];
    height: string;
    h: string[];
    size: string[];
    minWidth: string;
    maxWidth: string;
    minHeight: string;
    maxHeight: string;
    minW: string[];
    maxW: string[];
    minH: string[];
    maxH: string[];
    verticalAlign: string;
};
