import React, { FC } from "react";
import { ConfigProps } from "./_utils";
import { BorderProperties, ColorProperties, FlexProperties, GridProperties, MarginProperties, OtherProperties, PaddingProperties, PositionProperties, SizeProperties, TypographyProperties } from "./css";
export { BorderProperties, ColorProperties, FlexProperties, GridProperties, MarginProperties, OtherProperties, PaddingProperties, PositionProperties, SizeProperties, TypographyProperties };
export declare type Space = PaddingProperties & MarginProperties & SizeProperties;
export declare type Layout = PositionProperties & FlexProperties & GridProperties;
export declare type Decor = BorderProperties & ColorProperties & TypographyProperties;
export declare type All = Space & Layout & Decor & OtherProperties;
export declare type CSS = All;
declare const BreakpointContext: React.Context<number>;
declare type BreakPointProviderProps = {
    breakPoints: number[];
};
declare const BreakpointProvider: FC<BreakPointProviderProps>;
declare type UseStyledSystemProps = {
    styleJsx: string;
    nonCssProps: any;
};
declare const useStyledSystem: (props: unknown, { remBase, fontSizes, spaceSizes, ...config }: ConfigProps) => UseStyledSystemProps;
export { BreakpointProvider, useStyledSystem, BreakpointContext };
